Bug 60650 - ICE in extract_insn, at recog.c:2129
ICE in extract_insn, at recog.c:2129
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-04 02:14 EST by vvs
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-04 02:15:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed test case (143.94 KB, text/plain)
2002-03-04 02:15 EST, vvs
no flags Details

  None (edit)
Description vvs 2002-03-04 02:14:02 EST
Description of Problem:

Compiler crashed with ICE.

Version-Release number of selected component (if applicable):

gcc-3.1-0.21

How Reproducible:

Always

Steps to Reproduce:
1. Save attached file
2. gcc -c dt.i

Actual Results:

dt.c: In function `main':
dt.c:1520: unrecognizable insn:
(insn 2237 2235 2239 (set (reg:SI 262)
        (subreg:SI (mem/s/v/j:DI (plus:SI (reg/f:SI 260)
                    (const_int 64 [0x40])) [0 <variable>.di_dbytes_written+0 S8
A32]) 4)) -1 (nil)
    (nil))
dt.c:1520: Internal compiler error in extract_insn, at recog.c:2129
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Expected Results:

Successful compilation

Additional Information:
Comment 1 vvs 2002-03-04 02:15:21 EST
Created attachment 47283 [details]
preprocessed test case
Comment 2 Jakub Jelinek 2002-03-11 06:16:17 EST
Fixed in 3.1-0.22.

Note You need to log in before you can comment on or make changes to this bug.